REMOVEONELINE(1)

NAME
authenticate_pgp - perform LPRng authentication using PGP

SYNOPSIS
authenticate_pgp [ -(S|C|F) ] [ -nuser ] [ -Pprinter ] [ -Rserveruser ] [ -Ttempfile ] [ -DVE ]

DESCRIPTION

The authenticate_pgp program performs the authentication transfer required by LPRng. This is described in detail in lpd(8).

The -S (Client) flag indicates that it is to authenticate a transfer to the server. It does this by generating a random string, signing and encrypting this using the serveruser's private key and the user's public key, and sending this to the client authenticator. The -C (Client) flag indicates that it is to authenticate a user using PGP. It gets the signed and encrypted message from the server, and either uses the PGP key supplied in the PGPPASS environment variable or asks the user for the key. The key can also be read from the ~user/.pgp/clientkey file. The message is decrypted by the client, and the authentication string is prepended to the message to be sent to the server. This is then signed with the user's private key and encrypted with the server's public key. The encrypted message is sent back to the server. The server authenticator then decrypts the message, checks to see if the key is identical to the one sent, and then uses the transferred message.

The -F (forwarding) flag is used when the authenticator is performing server to server authentication. The process is the same as server to server authentication.

To aid in sending and receiving messages, the readfilecount and removeoneline programs are used to transfer the encrytped file over the data connection and to remove the prefixed authentication string respectively.

OPTIONS

-(S|C|F)
    Operate as a server, client, or forwarding authenticator respectively.

-P printer
    The name of the printer.

-u user
    The name of the user. This is used to find the users public and private key.

-R serveruser
    The name of the server user. This is used to find the servers public and private key.

-T tempfile
    The file to be transferred or a temporary location for the transferred information.

-D  Enable debugging.

-V  Set up a default private key for the user (debugging mode).

-E  Magic test flag enabling special test code.

SEE ALSO

authenticate.pgp(1), lpd(8), lpd.conf(5), pr(1).

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.